<section class="courses">
  <ng-pro-breadcrumbs></ng-pro-breadcrumbs>

  <div class="courses-row">
    <div class="courses-search-box">
      <input
        [(ngModel)]="nameControl"
        placeholder="Type to search"
        type="search"
        class="courses-search-box__input"
      />
      <button (click)="onSearchOutput()" class="courses-search-box__search">
        Search
      </button>
    </div>
    <div class="courses-button">
      <button class="courses-button__add">Add course</button>
    </div>
  </div>

  <div class="courses-section">
    <ng-pro-course-item
      *ngFor="let course of courseList; trackBy: trackByFn"
      [course]="course"
      (deleteCourseEvent)="onDeleteItem($event)"
    ></ng-pro-course-item>
  </div>

  <div class="courses-more">
    <button (click)="onLoadMoreCourses()" class="courses-more__button">
      Load more
    </button>
  </div>
</section>
